[conspire] Ubuntu 9.04

Nick Moffitt nick at zork.net
Mon Oct 10 03:48:38 PDT 2011

Rick Moen:
> Quoting =JeffH (Jeff.Hodges at KingsMountain.com):
> > (there were some stories of issues with the auto LTS->LTS upgrade
> > the last time). 
> Ah, you mean the severely and completely broken 8.04 LTS Hardy Heron
> to 10.04.1 LTS Lucid Lynx upgrade path that I encountered this past
> March, almost a year after Lucid Lynx had been released?
> http://lists.svlug.org/archives/volunteers/2011q1/003590.html I was
> severely underwhelmed by that, and thought it a pretty appalling
> failure.  Almost a year to fix invalid file descriptors in a single
> Ubuntu package (tar) that made their supposedly _safest_ upgrade path
> not work on kernel revisions below 2.6.22, and they couldn't bother to
> fix it?  Wow, that's a pretty ppor showing.[1]

Huh, I thought do-release-upgrade was only supported for LTS->LTS in the
XX.XX.2 releases.  Were you maybe doing a manual `apt-get dist-upgrade`?
That's not supported for big leaps like this, I'm afraid.

"These people program the way Victorians dress.
It takes two hours and three assistants to put on
your clothes, and you have to change before dinner.
But everything is modular."    -- Miles Nordin, on PAM

More information about the conspire mailing list